=== debian/changelog ===
baresip (0.4.20-1ubuntu3) zesty; urgency=medium

  * No-change rebuild against libx265-110.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 19 Feb 2017 17:03:25 +0100

baresip (0.4.20-1ubuntu2) zesty; urgency=medium

  * No-change rebuild against libx265-102.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 31 Jan 2017 22:52:02 +0100

baresip (0.4.20-1ubuntu1) zesty; urgency=medium

  * Add ssl to dev-deps and regenerate debian/control to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 29 Dec 2016 15:59:07 -0500

baresip (0.4.20-1) unstable; urgency=medium

  * Initial Release.
    Closes: bug#673881

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Dec 2016 17:28:27 +0530
