=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Build-Depends: cdbs (>= 0.4.131~),
 devscripts,
 debhelper,
 dh-buildinfo,
 libcairo2-dev,
 librem-dev,
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libgstreamer1.0-dev,
 libre-dev,
 libevdev-dev,
 libgsm1-dev,
 libspandsp-dev,
 libvpx-dev,
 libopus-dev,
 libssl-dev,
 pkg-config
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>,
 Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/baresip.git
Homepage: http://www.creytiv.com/baresip.html

Package: baresip
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description:  portable and modular SIP User-Agent with audio and video support
 A modular SIP User-Agent with support for many IETF standards such as
 SIP,SDP,RTP/RTCP,STUN,TURN,ICE. It supports both IPv4 and IPv6. It
 has following features.
  * Audio codecs: AMR, BV32, G.711, G.722, G.722.1, G.726, GSM, iLBC,
    iSAC, L16, OPUS, Silk, Speex
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8
  * Audio drivers: Alsa, Coreaudio, GStreamer, OpenSLES, OSS,
    Portaudio, Windows wave
  * Video sources: FFmpeg avformat, MacOSX qtcapture, MacOSX
    quicktime, Video4Linux and Video4Linux2, X11 Grabber
  * Video output modules: OpenGL, SDL/SDL2, X11, DirectFB
  * NAT Traversal modules: STUN, TURN, ICE, NAT-PMP
  * Media encryption modules: SRTP, DTLS-SRTP, ZRTP
