=== debian/rules ===
#!/usr/bin/make -f

# TODO: Drop this when makefile.mk from CDBS can handle the package.
EXTRA_CFLAGS := "$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
EXTRA_LFLAGS := "$(shell dpkg-buildflags --get LDFLAGS)"

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Ignore wav files
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = wav
DEB_COPYRIGHT_CHECK_IGNORE_PATHS = debian/

# Build-Depends
dev-deps = cairo2 rem asound2 avcodec avformat avdevice
dev-deps += gstreamer1.0 re evdev gsm1 spandsp vpx opus ssl

CDBS_BUILD_DEPENDS += , $(patsubst %, $(comma) lib%-dev,$(dev-deps))
CDBS_BUILD_DEPENDS += , pkg-config

# LIBDIR for installation
LIBDIR=/usr/lib

# TODO: Drop when makefiles.mk can handle the package
common-build-arch common-build-indep:: build_rem_package
build_rem_package:
	make info all RELEASE=1 \
		V=1 \
		USE_OPENSSL=1 \
		USE_ZLIB=1 \
		USE_TLS=1 \
		USE_VIDEO=1 \
		USE_ALSA=1 \
		USE_AMR=1 \
		USE_AVCODEC=1 \
		USE_AVFORMAT=1 \
		USE_CAIRO=1 \
		USE_CONS=1 \
		USE_EVDEV=1 \
		USE_G711=1 \
		USE_G722=1 \
		USE_GSM=1 \
		USE_GST1=1 \
		USE_VP8=1 \
		USE_VP9=1 \
		USE_OPUS=1 \
		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
		EXTRA_LFLAGS=$(EXTRA_LFLAGS)

common-install-arch common-install-indep:: install_rem_package
install_rem_package:
	make install DESTDIR=debian/tmp V=1
