=== debian/watch ===
version=4
https://github.com/alfredh/baresip/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@
