## baresip 0.5.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 USE_VIDEO := 1
 
 PROJECT	  := baresip
-VERSION   := 0.4.20
+VERSION   := 0.5.0
 DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"
 
 # Verbose and silent build modes
@@ -304,7 +304,3 @@
 	done
 	@echo "  NULL"  >> $@
 	@echo "};"  >> $@
-
-git_release:
-	git archive --format=tar --prefix=$(PROJECT)-$(VERSION)/ v$(VERSION) \
-		| gzip > $(PROJECT)-$(VERSION).tar.gz
