=== debian/changelog ===
baresip (0.5.0-4) unstable; urgency=medium

  * Update package relations: Fix breaks/replaces for baresip-core.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 23:21:28 +0100

baresip (0.5.0-3) unstable; urgency=medium

  * Improve short and long descriptions.
  * Fix install examples.
  * Add binary package baresip-core, and make baresip a metapackage.
  * Fix install upstream changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 18:38:33 +0100

baresip (0.5.0-2) unstable; urgency=medium

  * Fix skip directfb module where unsupported.
  * Update package relations: Fix have other packages depend on baresip.
  * Enable module sndio.
  * Fix list only supported features (and mention additional ones) in
    long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 22:05:39 +0100

baresip (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Vasudev Kamath ]
  * Fix path to wav files: Set variable PREFIX during build.
  * Enable more modules:
    + gst_video1
    + gtk
    + rst
    Build-depend on libgtk2.0-dev libgstreamer-plugins-base1.0-dev
    libmpg123-dev libx11-dev libxext-dev.
  * Add separate binary packages for non-core modules:
    + baresip-ffmpeg
    + baresip-gstreamer
    + baresip-gtk
    + baresip-x11

  [ Jonas Smedegaard ]
  * Add myself as uploader (and sort the list while at it).
  * Refresh patches with shortening quilt options.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter debian dir and any .git* file.
  * Fix clean built code.
  * Git-ignore quilt .pc dir (and avoid upstream git-ignore items).
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add myself as copyright holder.
  * Let CDBS resolve build flags.
  * Override lintian for possible-gpl-code-linked-with-openssl; False
    positive.
  * Drop obsolete upstream patches.
  * Install README and TODO files with all binary packages.
  * Install example files as such.
  * Fix stop suppress copyright check of debian dir: May contain code.
  * Enable more modules: amr b2bua codec2 directfb echo jack h265
    libsrtp mpa pcp portaudio pulse sdl2 snapshot sndfile sndio speex
    speex_aec speex_pp swscale.
  * Update package relations:
    + Build-depend on libcodec2-dev libjack-dev libopencore-amrnb
      libopencore-amrwb libpng-dev libpulse-dev libsdl2-dev
      libsndfile1-dev libsndio-dev libspeex-dev libspeexdsp-dev
      libsrtp0-dev libswscale-dev libtwolame-dev libx265-dev
      portaudio19-dev.
    + Build-depend on libdirectfb-dev on supported archs
      (queried online in maintainer mode).
    + Limit to build-depend on libevdev-dev only on linux archs.
    + Fix build-depend explicitly on libssl-dev.
      Closes: Bug#849694. Thanks to Logan Rosen.
    + Fix have other packages break+replace baresip.
      Closes: Bug#850663. Thanks to Axel Beckert.
    + Have baresip suggest other packages.
    + Have other packages enhance baresip.
    + Mention other packages in long description of baresip.
  * Fix dollar-escape skeleton variables.
  * Update watch file:
    + Add usage comment.
    + Use github pattern from documentation.
    + Add trailing newline.
  * Simplify build:
    + Drop build flags equal to auto-resolved defaults.
    + Let CDBS handle build and install.
  * Enable testsuite.
    Thanks to Alfred Heggestad.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info:
    + Fix double-indent subsequent copyright holders.
    + Strip useless copyright pseudo-signs.
    + Sort copyright holders.
    + Extend coverage of Debian packaging.
    + Add license grant to rules.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 17:13:18 +0100
