=== debian/changelog ===
baresip (0.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  
  [ Steve Langasek ]
  * Build with -D_GNU_SOURCE to fix FTBFS with GCC 7. (Closes: #872406)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Aug 2017 11:41:57 +0200

baresip (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Config:
      - Enable audio level RTP extension.
    + baresip-core:
      - Support Client-to-Mixer Audio Level Indication (RFC 6464).
      - Support RTP Header Extensions (RFC 5285).
      - module: dont load same static module twice.
      - ua: add ua_progress().
      - ua: check for Accept header in incoming OPTIONS request.
      - use a dummy RTP port for incoming OPTIONS.
      - vidcodec: make the API re-entrant.
      - vidfilt: make the API re-entrant.
      - vidisp: make the API re-entrant.
      - vidsrc: make the API re-entrant.
    + selftest:
      - add test for audio level indication in call.
      - add test for call progress.
    + Update all video modules with API-changes.
    + zrtp: check for RTP packet in send handler.
      - registered zrtp_log function with zrtp engine.
      - improved info message on how to verify remote peer.
      - improved setting and printing of zrtp cache file.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten to build-depend on recent librem-dev.
    + Tighten build-dependency on libre-dev.
    + Drop obsolete temporary breaks/replaces for older baresip.
    + Fix limit build-dependency on libdirectfb-dev to supported archs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 12:57:00 +0200

baresip (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-Browser field:
    + Use git (not cgit) in path.
  * Modernize cdbs:
    + Resolve archs in maintainer script (not during build).
    + Fix maintainer script copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jun 2017 08:37:12 +0200

baresip (0.5.3-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Enable module omx.
    + Build-depend on libomxil-bellagio-dev.
  * Tighten to build-depend on recent libre.
  * Stop explicitly enable jack module: Auto-detected now.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 18:09:17 +0200

baresip (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update package relations: Stop build-depend on libsrtp0-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Mar 2017 17:15:52 +0100
