=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: baresip
 Section: comm
 Priority: optional
-Build-Depends: cdbs (>= 0.4.131~),
- licensecheck,
+Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  libasound2-dev,
@@ -14,21 +13,20 @@
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
  libpng-dev,
- libre-dev,
- librem-dev,
  libsdl2-dev,
  libsndfile1-dev,
  libsndio-dev,
  libspandsp-dev,
  libspeex-dev,
  libspeexdsp-dev,
- libsrtp0-dev,
  libtwolame-dev,
  libvpx-dev,
  libssl-dev,
  libevdev-dev [linux-any],
  portaudio19-dev,
  pkg-config,
+ libre-dev (>= 0.5.4),
+ librem-dev (>= 0.5.0),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -38,6 +36,7 @@
  libgstreamer-plugins-base1.0-dev,
  libgtk2.0-dev,
  libcairo2-dev,
+ libomxil-bellagio-dev,
  libmpg123-dev,
  libpulse-dev,
  libxext-dev,
@@ -46,9 +45,9 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/baresip.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Homepage: http://www.creytiv.com/baresip.html
 
 Package: baresip
@@ -76,8 +75,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Suggests: ${cdbs:Suggests}
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Description: portable and modular SIP user-agent - core parts
  A modular SIP user-agent with support for audio and video, and many
  IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
@@ -120,8 +117,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - FFmpeg codecs and formats
  A modular SIP user-agent with support for audio and video, and many
@@ -143,8 +138,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - GStreamer pipelines
  A modular SIP user-agent with support for audio and video, and many
@@ -166,8 +159,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - X11 features
  A modular SIP user-agent with support for audio and video, and many
