=== debian/rules ===
--- 
+++ 
@@ -16,41 +16,33 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-# resolve supported architectures for arch-varying build-dependencies
-# (in maintainer mode only: uses network and messes with control file)
+# Run this to update arch list: debian/rules clean DEB_MAINTAINER_MODE=1
+# (in maintainer mode only, uses network and messes with control file)
 ifneq (,$(DEB_MAINTAINER_MODE))
-$(shell sh debian/pkgarchs.sh libdirectfb-dev > debian/ARCHS_directfb)
 debian/control::
-	perl -i -p \
-		-e 's/\blibdirectfb-dev\K\s*(?:\[[^]]*\]\s*)?/ [$(ARCHS_directfb)]/' \
-		debian/control
+	debian/archs-update
 endif
 ARCHS_directfb := $(shell cat debian/ARCHS_directfb)
 
-# Ignore wav files
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = wav
-
 # Needs and module hints for core package
 core-deps = asound2 codec2 directfb jack gsm1 opus opencore-amrnb
-core-deps += opencore-amrwb png re rem sdl2 sndfile1 sndio spandsp
-core-deps += speex speexdsp srtp0 twolame vpx ssl
+core-deps += opencore-amrwb png sdl2 sndfile1 sndio spandsp
+core-deps += speex speexdsp twolame vpx ssl
 core-deps-extra = libevdev-dev [linux-any]
 core-deps-extra +=, portaudio19-dev
-core-mods-extra = b2bua codec2 echo jack snapshot sndio
+core-mods-extra = b2bua codec2 echo snapshot sndio
 core-mods-extra += $(if $(filter $(ARCHS_directfb),$(DEB_HOST_ARCH)),directfb)
 
 CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(core-deps))
 CDBS_BUILD_DEPENDS +=, $(core-deps-extra), pkg-config
+CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.4)
+CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.0)
 EXTRA_MODULES += $(core-mods-extra)
 
 CDBS_DEPENDS_baresip +=, baresip-core
-# TODO: drop these after Stretch
-CDBS_BREAKS_baresip-core = baresip (<= 0.5.0-2~)
-CDBS_REPLACES_baresip-core = baresip (<= 0.5.0-2~)
 
 # Needs and module hints for module packages
 ffmpeg-deps = avcodec avformat avdevice swscale x265
@@ -60,8 +52,8 @@
 gstreamer-mods = gst1 gst_video1
 gtk-deps = gtk2.0
 gtk-mods = gtk
-x11-deps = cairo2 mpg123 pulse xext x11
-x11-mods = cairo pulse rst sdl2 vidinfo x11 x11grab
+x11-deps = cairo2 omxil-bellagio mpg123 pulse xext x11
+x11-mods = cairo omx pulse rst sdl2 vidinfo x11 x11grab
 
 define MODULE_template =
 CDBS_BUILD_DEPENDS +=, $$(patsubst %,$$(comma) lib%-dev,$$($1-deps))
@@ -75,9 +67,6 @@
 CDBS_RECOMMENDS_baresip +=, baresip-$1
 CDBS_SUGGESTS_baresip-core +=, baresip-$1
 CDBS_ENHANCES_baresip-$1 = baresip-core
-# TODO: drop these after Stretch
-CDBS_BREAKS_baresip-$1 = baresip (<= 0.5.0)
-CDBS_REPLACES_baresip-$1 = baresip (<= 0.5.0)
 endef
 $(foreach module,ffmpeg gstreamer gtk x11,\
  $(eval $(call MODULE_template,$(module))))
