=== debian/changelog ===
baresip (0.5.7-1build1) bionic; urgency=medium

  * No-change rebuild against latest libvpx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Feb 2018 08:50:11 -0500

baresip (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Enable new MQTT module:
    + Build-depend on libmosquitto-dev.
    + Mention MQTT in long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Add TODO items about library packages and GZRTP module.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 17:52:59 +0100

baresip (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Track files copyright Jonathan Sieber.
  * Update watch file: Use substitution strings.
  * Enable new Avahi module:
    + Build-depend on libavahi-client-dev.
    + Have baresip-core recommend avahi-daemon.
    + Mention Avahi in long descriptions.
  * Update copyright-check script to extract png files.
  * Fix tighten build-dependency on librem-dev due to changed types.
    Closes: Bug#878341. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 01:31:09 +0200

baresip (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Rename patch from NMU 0.5.4-1.1 to fit documented patch naming
    micro-policy.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Sep 2017 10:28:44 +0200
