=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  debhelper,
  dh-buildinfo,
  libasound2-dev,
+ libavahi-client-dev,
  libcodec2-dev,
  libdirectfb-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libjack-dev,
@@ -22,11 +23,12 @@
  libtwolame-dev,
  libvpx-dev,
  libssl-dev,
+ libmosquitto-dev,
  libevdev-dev [linux-any],
  portaudio19-dev,
  pkg-config,
- libre-dev (>= 0.5.4),
- librem-dev (>= 0.5.0),
+ libre-dev (>= 0.5.5),
+ librem-dev (>= 0.5.2),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -45,7 +47,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Homepage: http://www.creytiv.com/baresip.html
@@ -67,6 +69,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This metapackage will install baresip and all its optional features.
 
@@ -74,6 +78,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends}
+Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Description: portable and modular SIP user-agent - core parts
  A modular SIP user-agent with support for audio and video, and many
@@ -87,6 +92,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  Some of above features are provided in separate packages baresip-gtk,
  baresip-ffmpeg, baresip-gstreamer and baresip-x11.
@@ -109,6 +116,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package provides a GTK+ front-end for baresip.
 
@@ -130,6 +139,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package integrates FFmpeg codecs and formats with baresip.
 
@@ -151,6 +162,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package integrates GStreamer pipelines with baresip.
 
@@ -172,5 +185,7 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package provides various X11-related features for baresip.
