=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2016-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2016-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for baresip
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,9 +28,9 @@
 ARCHS_directfb := $(shell cat debian/ARCHS_directfb)
 
 # Needs and module hints for core package
-core-deps = asound2 codec2 directfb jack gsm1 opus opencore-amrnb
-core-deps += opencore-amrwb png sdl2 sndfile1 sndio spandsp
-core-deps += speex speexdsp twolame vpx ssl
+core-deps = asound2 avahi-client codec2 directfb jack gsm1 opus
+core-deps += opencore-amrnb opencore-amrwb png sdl2 sndfile1 sndio
+core-deps += spandsp speex speexdsp twolame vpx ssl mosquitto
 core-deps-extra = libevdev-dev [linux-any]
 core-deps-extra +=, portaudio19-dev
 core-mods-extra = b2bua codec2 echo snapshot sndio
@@ -38,8 +38,8 @@
 
 CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(core-deps))
 CDBS_BUILD_DEPENDS +=, $(core-deps-extra), pkg-config
-CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.4)
-CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.0)
+CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.5)
+CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.2)
 EXTRA_MODULES += $(core-mods-extra)
 
 CDBS_DEPENDS_baresip +=, baresip-core
@@ -65,6 +65,7 @@
 DEB_DH_INSTALL_ARGS_baresip-core += \
  $$(patsubst %,-X%.so,$$($1-mods) $$($1-mods-extra))
 CDBS_RECOMMENDS_baresip +=, baresip-$1
+CDBS_RECOMMENDS_baresip-core +=, avahi-daemon
 CDBS_SUGGESTS_baresip-core +=, baresip-$1
 CDBS_ENHANCES_baresip-$1 = baresip-core
 endef
